package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.VehicleUser;
import de.humance.eco.profile.service.VehicleUserLocalServiceUtil;

/**
 * The extended model base implementation for the VehicleUser service. Represents a row in the &quot;Profile_VehicleUser&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleUserImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleUserImpl
 * @see de.humance.eco.profile.model.VehicleUser
 * @generated
 */
public abstract class VehicleUserBaseImpl extends VehicleUserModelImpl
    implements VehicleUser {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle user model instance should use the {@link VehicleUser} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            VehicleUserLocalServiceUtil.addVehicleUser(this);
        } else {
            VehicleUserLocalServiceUtil.updateVehicleUser(this);
        }
    }
}
